Subject: Re: linux-next: error while fetching the spi-nor tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 13 Dec 2017 09:35:30 +1100

Hi Cyrille,

[cc'ing Linus on the off chance he knows something relevant]

On Tue, 12 Dec 2017 22:24:17 +0100 Cyrille Pitchen <[email-masked]> wrote:
>
> I've just added 2 commits about 8 hours ago, nothing special.
> Could the issue be explained by an unlikely bad timing?

No idea.  The current top commit in my copy of your branch is:

  b3fbf5e23f8c ("mtd: spi-nor: Check that BP bits are set properly")

> I don't see anything wrong when fetching the tree or when browsing the
> web server:
> http://git.infradead.org/l2-mtd.git/shortlog/refs/heads/spi-nor/next
> 
> Please, let me know whether it was a spurious error or if it still doesn't
> work. Currently, I don't know what's going on.

I am still getting the error.  I even tried cloning your tree and got
the same error.

> Le 12/12/2017 à 21:58, Stephen Rothwell a écrit :
> > Hi Cyrille,
> > 
> > Fetching the spi-nor tree
> > (git://git.infradead.org/l2-mtd.git#spi-nor/next) this morning, I get
> > theses errors:
> > 
> > remote: error: Could not read 6e408e3aa1643624ea7da50ad5b27a226a16a654

This SHA1 refers to a tree object (representing the drivers directory)
that exists in my tree somewhere (I don't know how to figure out which
commit it is related to (if any)).

> > remote: fatal: bad tree object 6e408e3aa1643624ea7da50ad5b27a226a16a654
> > remote: aborting due to possible repository corruption on the remote side.
> > fatal: protocol error: bad pack header
> > 
> > I wil continue to use the previously fetched tree.

-- 
Cheers,
Stephen Rothwell